Bug 111863 - up2date failure after upgrading up2date components
up2date failure after upgrading up2date components
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: up2date (Show other bugs)
2.1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-10 18:59 EST by Rick Stevens
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-24 17:35:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rick Stevens 2003-12-10 18:59:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5) Gecko/20031007

Description of problem:
After an initial installation of AS2.1, we tried up2date.  Of course,
we got the SSL error, so we downloaded up2date-2.8.46.3-1.2.1AS and
the related components (rhn_register, ..._gnome, et al).  Now, after an
"up2date -p", any attempt to do an update crashes with a python traceback:

[root@srv01 root]# up2date -u
Traceback (innermost last):
  File "/usr/sbin/up2date", line 781, in ?
    main()
  File "/usr/sbin/up2date", line 569, in main
    pkgNames, fullUpdate, dryRun = dry_run))
  File "/usr/sbin/up2date", line 724, in batchRun
    batch.run()
  File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 57, in run
    self.__findPackagesToUpdate()
  File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 89, in
__findPackagesToUpdate
    plist.run()
  File "/usr/share/rhn/up2date_client/packageList.py", line 85, in run
    self.addObsoletePackages(obsList)
  File "/usr/share/rhn/up2date_client/packageList.py", line 109, in
addObsoletePackages
    for p in obsoletePackages:
TypeError: loop over non-sequence


Version-Release number of selected component (if applicable):
up2date-2.8.46.3-1.2.1AS

How reproducible:
Always

Steps to Reproduce:
1. Do a fresh AS2.1 install

2. Download and "rpm -Fvh" the 2.8.45.3-1.2.1AS components

3. "up2date -p"

4. "up2date -u".....kerPOW!
    

Actual Results:  The traceback in the description.

Expected Results:  I'd expect an updated system.  This certainly seems
poor design.  You can't update an AS2.1 system without up2date, and
up2date is itself flakey as all get out.

Additional info:
Comment 1 Adrian Likins 2004-08-24 17:35:06 EDT
make sure the boxes that show this error have
a channel assigned to them. Common cause of
missing channels is lack of proper RHN
entitlements for the channels in questions.


newer clients also handle this case
more gracefully.

Note You need to log in before you can comment on or make changes to this bug.